org.apache.flume.channel.kafka

## Class KafkaChannelConfiguration

- java.lang.Object
- - org.apache.flume.channel.kafka.KafkaChannelConfiguration

-     public class KafkaChannelConfiguration
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AUTO_COMMIT_ENABLED`
    `static String` | `BOOTSTRAP_SERVERS_CONFIG`
    `static String` | `BROKER_LIST_FLUME_KEY`
    `static String` | `BROKER_LIST_KEY` Old Configuration Parameters
    `static String` | `CONSUMER_TIMEOUT`
    `static String` | `DEFAULT_ACKS`
    `static String` | `DEFAULT_AUTO_OFFSET_RESET`
    `static String` | `DEFAULT_GROUP_ID`
    `static String` | `DEFAULT_KEY_DESERIALIZER`
    `static String` | `DEFAULT_KEY_SERIALIZER`
    `static boolean` | `DEFAULT_MIGRATE_ZOOKEEPER_OFFSETS`
    `static boolean` | `DEFAULT_PARSE_AS_FLUME_EVENT`
    `static long` | `DEFAULT_POLL_TIMEOUT`
    `static boolean` | `DEFAULT_READ_SMALLEST_OFFSET`
    `static String` | `DEFAULT_TIMEOUT`
    `static String` | `DEFAULT_TOPIC`
    `static String` | `DEFAULT_VALUE_DESERIAIZER`
    `static String` | `DEFAULT_VALUE_SERIAIZER`
    `static String` | `GROUP_ID_FLUME`
    `static String` | `KAFKA_CONSUMER_PREFIX`
    `static String` | `KAFKA_PREFIX`
    `static String` | `KAFKA_PRODUCER_PREFIX`
    `static String` | `KEY_HEADER`
    `static String` | `MIGRATE_ZOOKEEPER_OFFSETS`
    `static String` | `PARSE_AS_FLUME_EVENT`
    `static String` | `PARTITION_HEADER_NAME`
    `static String` | `POLL_TIMEOUT`
    `static String` | `READ_SMALLEST_OFFSET`
    `static String` | `REQUIRED_ACKS_KEY`
    `static String` | `STATIC_PARTITION_CONF`
    `static String` | `TIMEOUT`
    `static String` | `TOPIC_CONFIG`
    `static String` | `ZOOKEEPER_CONNECT`
    `static String` | `ZOOKEEPER_CONNECT_FLUME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KafkaChannelConfiguration()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KAFKA_PREFIX

          public static final String KAFKA_PREFIX

      See Also:
        Constant Field Values

    - #### KAFKA_CONSUMER_PREFIX

          public static final String KAFKA_CONSUMER_PREFIX

      See Also:
        Constant Field Values

    - #### KAFKA_PRODUCER_PREFIX

          public static final String KAFKA_PRODUCER_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_ACKS

          public static final String DEFAULT_ACKS

      See Also:
        Constant Field Values

    - #### DEFAULT_KEY_SERIALIZER

          public static final String DEFAULT_KEY_SERIALIZER

      See Also:
        Constant Field Values

    - #### DEFAULT_VALUE_SERIAIZER

          public static final String DEFAULT_VALUE_SERIAIZER

      See Also:
        Constant Field Values

    - #### DEFAULT_KEY_DESERIALIZER

          public static final String DEFAULT_KEY_DESERIALIZER

      See Also:
        Constant Field Values

    - #### DEFAULT_VALUE_DESERIAIZER

          public static final String DEFAULT_VALUE_DESERIAIZER

      See Also:
        Constant Field Values

    - #### TOPIC_CONFIG

          public static final String TOPIC_CONFIG

      See Also:
        Constant Field Values

    - #### BOOTSTRAP_SERVERS_CONFIG

          public static final String BOOTSTRAP_SERVERS_CONFIG

      See Also:
        Constant Field Values

    - #### DEFAULT_TOPIC

          public static final String DEFAULT_TOPIC

      See Also:
        Constant Field Values

    - #### DEFAULT_GROUP_ID

          public static final String DEFAULT_GROUP_ID

      See Also:
        Constant Field Values

    - #### POLL_TIMEOUT

          public static final String POLL_TIMEOUT

      See Also:
        Constant Field Values

    - #### DEFAULT_POLL_TIMEOUT

          public static final long DEFAULT_POLL_TIMEOUT

      See Also:
        Constant Field Values

    - #### KEY_HEADER

          public static final String KEY_HEADER

      See Also:
        Constant Field Values

    - #### DEFAULT_AUTO_OFFSET_RESET

          public static final String DEFAULT_AUTO_OFFSET_RESET

      See Also:
        Constant Field Values

    - #### PARSE_AS_FLUME_EVENT

          public static final String PARSE_AS_FLUME_EVENT

      See Also:
        Constant Field Values

    - #### DEFAULT_PARSE_AS_FLUME_EVENT

          public static final boolean DEFAULT_PARSE_AS_FLUME_EVENT

      See Also:
        Constant Field Values

    - #### PARTITION_HEADER_NAME

          public static final String PARTITION_HEADER_NAME

      See Also:
        Constant Field Values

    - #### STATIC_PARTITION_CONF

          public static final String STATIC_PARTITION_CONF

      See Also:
        Constant Field Values

    - #### MIGRATE_ZOOKEEPER_OFFSETS

          public static final String MIGRATE_ZOOKEEPER_OFFSETS

      See Also:
        Constant Field Values

    - #### DEFAULT_MIGRATE_ZOOKEEPER_OFFSETS

          public static final boolean DEFAULT_MIGRATE_ZOOKEEPER_OFFSETS

      See Also:
        Constant Field Values

    - #### BROKER_LIST_KEY

          public static final String BROKER_LIST_KEY

      Old Configuration Parameters
      See Also:
        Constant Field Values

    - #### REQUIRED_ACKS_KEY

          public static final String REQUIRED_ACKS_KEY

      See Also:
        Constant Field Values

    - #### BROKER_LIST_FLUME_KEY

          public static final String BROKER_LIST_FLUME_KEY

      See Also:
        Constant Field Values

    - #### GROUP_ID_FLUME

          public static final String GROUP_ID_FLUME

      See Also:
        Constant Field Values

    - #### AUTO_COMMIT_ENABLED

          public static final String AUTO_COMMIT_ENABLED

      See Also:
        Constant Field Values

    - #### ZOOKEEPER_CONNECT

          public static final String ZOOKEEPER_CONNECT

      See Also:
        Constant Field Values

    - #### ZOOKEEPER_CONNECT_FLUME_KEY

          public static final String ZOOKEEPER_CONNECT_FLUME_KEY

      See Also:
        Constant Field Values

    - #### TIMEOUT

          public static final String TIMEOUT

      See Also:
        Constant Field Values

    - #### DEFAULT_TIMEOUT

          public static final String DEFAULT_TIMEOUT

      See Also:
        Constant Field Values

    - #### CONSUMER_TIMEOUT

          public static final String CONSUMER_TIMEOUT

      See Also:
        Constant Field Values

    - #### READ_SMALLEST_OFFSET

          public static final String READ_SMALLEST_OFFSET

      See Also:
        Constant Field Values

    - #### DEFAULT_READ_SMALLEST_OFFSET

          public static final boolean DEFAULT_READ_SMALLEST_OFFSET

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KafkaChannelConfiguration

          public KafkaChannelConfiguration()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.